Jump to content

Empfohlene Beiträge

Moin *,

 

ich versuche hier gerade meinen CyberJack RFID komfort unter Fedora 24 zum fliegen zu kriegen.

Erkannt wird er auch,

 
-bash-4.3# lsusb
Bus 008 Device 002: ID 0c4b:0501 Reiner SCT Kartensysteme GmbH cyberJack RFID comfort dual interface smartcard reader
 

Der pscsd läuft im Vordergrund 

 

/usr/sbin/pcscd -f -a -d
 
und spuckt einiges an mir unverständlichen Infos aus 
 

aber egal welche Karte ich auslesen will, er meint immer nur "Unsupported card"

 

Die ATR kann ich lesen, aber das war es auch

opensc-tool --reader 0 --atr
3b:dd:96:ff:81:b1:fe:45:1f:03:00:64:04:05:08:03:73:96:21:d0:00:90:00:c9
 

opensc-tool --reader 0 --name

Unsupported card
 
oder auch 
 
opensc-explorer
OpenSC Explorer version 0.15.0
Using reader with a card: REINER SCT cyberJack RFID komfort (8365612193) 00 00
unable to select MF: Incorrect parameters in APDU
[frank@roadwarrior ~]$ opensc-tool -a  -f -v
Using reader with a card: REINER SCT cyberJack RFID komfort (8365612193) 00 00
Connecting to card in reader REINER SCT cyberJack RFID komfort (8365612193) 00 00...
Using card driver Default driver for unknown cards.
Card ATR:
3B DD 96 FF 81 B1 FE 45 1F 03 00 64 04 05 08 03 ;......E...d....
73 96 21 D0 00 90 00 C9                         s.!.....
SELECT FILE failed: Incorrect parameters in APDU
 
Mit Linux bin ich soweit ganz fit, aber von card reader hab ich eher keine Ahnung.
 
Was wollen mir die opensc tools sagen ?
 
Using card driver Default driver for unknown cards. Könnte das das Problem sein ? 
 
Das ganze ist auch bei allen Karten die ich versucht habe das selbe, ob nun EC karte, Kreditkarte oder eGK (und die sollten doch eigentlich alle erkannt werden oder ?)
 
Rechteprobleme auf der Linux Seite kann ich denke ich ausschließen und selinux ist für erste auch erst mal abgeschaltet.
 

Mag mich mal jemand ans Händchen nehmen und mir erklären was ich hier falsch mache ?

 

Gruß

Frank

 

ps

Das hab ich alles installiert:

 

pcsc-cyberjack-examples-3.99.5final.SP09-1.fc24.x86_64
pcsc-cyberjack-3.99.5final.SP08-4.fc24.x86_64
pcsc-tools-1.4.25-1.fc24.x86_64
pcsc-lite-ccid-1.4.23-1.fc24.x86_64
pcsc-lite-1.8.17-2.fc24.x86_64
pcsc-cyberjack-cjflash-3.99.5final.SP09-1.fc24.x86_64
pcsc-lite-libs-1.8.17-2.fc24.x86_64
pcsc-perl-1.4.13-6.fc24.x86_64
opensc-0.15.0-6.fc24.x86_64
 
pps
Das pcscd Logfile kann ich leider nicht anhängen
"Fehler Du hast keine Berechtigung, diese Art von Dateien hochzuladen." ?????

 

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Moin Frankie,

unsupported Card hatte ich vorgestern auch, allerdings nach Umstellung auf F25/gnome3 von F24/xfce.

Habe alle Pakete de-installiert und re-installiert, dann lief es auch unter F25.

So sieht das jetzt aus:

 
rpm -qa | grep pcsc
 
pcsc-lite-libs-1.8.17-2.fc25.x86_64
pcsc-cyberjack-3.99.5final.SP09-1.fc25.x86_64
pcsc-lite-1.8.17-2.fc25.x86_64
pcsc-lite-ccid-1.4.23-1.fc25.x86_64
 
lsusb | grep Reiner
 
Bus 003 Device 007: ID 0c4b:0501 Reiner SCT Kartensysteme GmbH cyberJack RFID comfort dual interface smartcard reader
 
systemctl -a | grep pcscd
  pcscd.service                          loaded    inactive dead      PC/SC Smart Card Daemon
  pcscd.socket                           loaded    active   listening PC/SC Smart Card Daemon Activation Socket
 
bzw. so, wenn die Anwendung nach der Karte fragt und offenbar den Daemon aktiviert:
 
systemctl -a | grep pcscd
  pcscd.service                          loaded    active   running   PC/SC Smart Card Daemon
  pcscd.socket                           loaded    active   running   PC/SC Smart Card Daemon Activation Socket
 
Ich musste tatsächlich einmal rebooten, bis der den CardReader erkannt hat.
Und bei mir mag er mitunter nicht hinter USB3-Hubs hängen.
Ich habe ihn dann am USB2-Slot direkt am Gehäuse -- aber das war ja bei Dir kein Problem.
 
Viel Erfolg,
mlt

Diesen Beitrag teilen


Link zum Beitrag
Auf anderen Seiten teilen

Erstelle ein Benutzerkonto oder melde dich an, um zu kommentieren

Du musst ein Benutzerkonto haben, um einen Kommentar verfassen zu können

Benutzerkonto erstellen

Neues Benutzerkonto für unsere Community erstellen. Es ist einfach!

Neues Benutzerkonto erstellen

Anmelden

Du hast bereits ein Benutzerkonto? Melde dich hier an.

Jetzt anmelden
Melde dich an, um diesem Inhalt zu folgen  

×